/*
 PDFScannerSDK software was Created by VeryPDF
 
 Copyright © 2017 year VeryPDF. All rights reserved.
 
 Web: http://www.verypdf.com
 Web: http://www.verydoc.com
 Support: http://support.verypdf.com
 */

#import <AVFoundation/AVFoundation.h>

#import "MAConstants.h"

@interface MACaptureSession : NSObject
{
    BOOL flashOn;
}

@property (strong, nonatomic) AVCaptureVideoPreviewLayer *previewLayer;
@property (strong, nonatomic) AVCaptureSession *captureSession;
@property (strong, nonatomic) AVCaptureStillImageOutput *stillImageOutput;
@property (strong, nonatomic) UIImage *stillImage;

- (void)addVideoPreviewLayer;
- (void)addStillImageOutput;
- (void)captureStillImage;
- (void)addVideoInputFromCamera;

- (void)setFlashOn:(BOOL)boolWantsFlash;

@end
